summaryrefslogtreecommitdiff
path: root/bg1/install-patch-us.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bg1/install-patch-us.sh')
-rwxr-xr-xbg1/install-patch-us.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/bg1/install-patch-us.sh b/bg1/install-patch-us.sh
new file mode 100755
index 0000000..3e0d2cb
--- /dev/null
+++ b/bg1/install-patch-us.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+# BG1 official US/Canada patch
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin cabextract unshield wget
+
+setuptmp
+
+getpatch http://downloads.bioware.com/baldursgate1/bg114315.exe
+
+cabextract -L $TMPDIR/bg114315.exe -d $TMPDIR || die
+unshield -L x $TMPDIR/data1.cab -d $TMPDIR || die
+
+cp -R $TMPDIR/english/* "$TARGETDIR" || die
+
+cleanuptmp
+setperms "$TARGETDIR"